%define realname Crypt-RSA

Name:           perl-%{realname}
Version:	    1.98
Release:        %mkrel 1
License:        Artistic
Group:          Development/Perl
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary:        RSA public-key cryptosystem
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Crypt/%{realname}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{realname}/
BuildRequires:  perl-devel
BuildRequires:  perl-Crypt-Blowfish
BuildRequires:  perl-Crypt-CBC
BuildRequires:  perl-Digest-MD2
BuildRequires:  perl-Digest-SHA1
BuildRequires:  perl-Convert-ASCII-Armour
BuildRequires:  perl-Crypt-Primes
BuildRequires:  perl-Sort-Versions
BuildRequires:  perl-Tie-EncryptedHash
Requires:       perl
BuildArch:      noarch

%description
Crypt::RSA is a pure-perl, cleanroom implementation of the
RSA public-key cryptosystem. It uses Math::Pari(3), a perl
interface to the blazingly fast PARI library, for big
integer arithmetic and number theoretic computations.

%prep
%setup -q -n %{realname}-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{perl_vendorlib}/*
%{_mandir}/*/*




%changelog
* Wed Jul 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.98-1mdv2009.0
+ Revision: 233035
- update to new version 1.98

* Tue Jul 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.97-1mdv2009.0
+ Revision: 232714
- update to new version 1.97

* Mon Jul 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.95-1mdv2009.0
+ Revision: 232323
- update to new version 1.95

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag
    - rebuild
    - rebuild

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.58-1mdv2008.1
+ Revision: 121757
- kill (multiple!) definitions of %%buildroot on Pixel's request


* Sun Jan 07 2007 Olivier Thauvin <nanardon@mandriva.org> 1.58-1mdv2007.0
+ Revision: 105020
- 1.58

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Crypt-RSA

* Fri Nov 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.57-1mdk
- 1.57

* Sat Jul 30 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.56-1mdk
- 1.56, spec cleanup

* Thu Feb 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.55-1mdk
- 1.55

* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 1.50-3mdk
- rebuild for new perl

